import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusOrderPromotion } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface BusOrderPromotionCU extends ConditionUtil<BusOrderPromotionCU> {
    ID: FieldUtil<BusOrderPromotionCU>;
    PROMOTION_CATEGORY: FieldUtil<BusOrderPromotionCU>;
    PROMOTION_ID: FieldUtil<BusOrderPromotionCU>;
    PROMOTION_NAME: FieldUtil<BusOrderPromotionCU>;
    ORDER_NO: FieldUtil<BusOrderPromotionCU>;
    CREATE_TIME: FieldUtil<BusOrderPromotionCU>;
}
declare class BusOrderPromotionMU extends TableUtilImpl<BusOrderPromotionCU, BusOrderPromotion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusOrderPromotionCU;
    static get ID(): FieldUtil<BusOrderPromotionCU>;
    static get PROMOTION_CATEGORY(): FieldUtil<BusOrderPromotionCU>;
    static get PROMOTION_ID(): FieldUtil<BusOrderPromotionCU>;
    static get PROMOTION_NAME(): FieldUtil<BusOrderPromotionCU>;
    static get ORDER_NO(): FieldUtil<BusOrderPromotionCU>;
    static get CREATE_TIME(): FieldUtil<BusOrderPromotionCU>;
    get ID(): FieldUtil<BusOrderPromotionCU>;
    get PROMOTION_CATEGORY(): FieldUtil<BusOrderPromotionCU>;
    get PROMOTION_ID(): FieldUtil<BusOrderPromotionCU>;
    get PROMOTION_NAME(): FieldUtil<BusOrderPromotionCU>;
    get ORDER_NO(): FieldUtil<BusOrderPromotionCU>;
    get CREATE_TIME(): FieldUtil<BusOrderPromotionCU>;
}
export { BusOrderPromotionMU, BusOrderPromotionCU };
